---
title: Bluetooth.referringDevice
slug: Web/API/Bluetooth/referringDevice
tags:
  - API
  - Bluetooth
  - Reference
  - Web Bluetooth API
---
<p>{{APIRef("Bluetooth API")}}{{securecontext_header}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>Bluetooth.referringDevice</code></strong> attribute of the {{DOMxRef("Bluetooth")}} interface returns a {{DOMxRef("BluetoothDevice")}} if the current document was opened in response to an instruction sent by this device and <code>null</code> otherwise.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>Bluetooth</em>.referringDevice</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("BluetoothDevice")}}, if the document was opened in response to an instruction sent by this device and <code>null</code> otherwise.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetooth-referringdevice", "referringDevice")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Bluetooth.referringDevice")}}</p>
</div>
